## configlet 1.8

=== documentation/Makefile ===
# $Progeny: Makefile,v 1.9 2002/01/18 06:19:43 dsp Exp $

doctools=../doctools

SGML_FILES=	\
		update-configlets.sgml \
		configlet-capplet.sgml \
		test-configlets.sgml \
		configlets-druid.sgml \
		configlets-text.sgml

all: configlet-capplet.1 update-configlets.1 test-configlets.1 \
	configlets-druid.1 configlets-text.1

validate:
	$(call validate_sgml,update-configlets.sgml)
	$(call validate_sgml,configlet-capplet.sgml)
	$(call validate_sgml,test-configlets.sgml)
	$(call validate_sgml,configlets-druid.sgml)

clean:
# Dummy target

maintainer-clean:
	rm -f *.1

.PHONY: all validate clean maintainer-clean

include ${doctools}/docbook.mk

=== documentation/book/Makefile ===
# $Progeny: Makefile,v 1.20 2002/01/18 06:19:44 dsp Exp $

doctools=../../doctools

XML_FILES=	\
		architecture.xml \
		book.xml \
		configlet.xml \
		frontend.xml \
		introduction.xml

XSL_FILES=	configlet-local.xsl

IGNOREFILES=	*.html book.ps book.pdf book.txt

HTML_SS_XSL=	configlet-local.xsl

all: .cvsignore api/index.html book.html book.txt

api/index.html: ../../configlet.py
	happydoc -d api ../../configlet.py

book1.html: ${XML_FILES}
	$(call chunk_html,book.xml)

book.html: ${XML_FILES}
book.pdf: ${XML_FILES}
book.ps: ${XML_FILES}

validate:
	$(call validate,book.xml)

clean:


maintainer-clean:
	rm -rf *.html *.ps *.pdf *.txt api

.PHONY: all validate clean maintainer-clean

include ${doctools}/docbook.mk

=== debian/changelog ===
configlet (1.8) unstable; urgency=medium

  * Wrap more calls to configlets in try blocks, so a bad configlet
    doesn't bring down the whole show.
  * Add debug(), warn(), and error() methods to DruidConfigGroup.
  * Fix some namespacing issues in the druid.
  * Add error dialog when the capplet's privileged runner stuff 
    fails.  Closes: #133883, #133715.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon, 15 Apr 2002 11:13:34 -0500

configlet (1.7) unstable; urgency=low

  * Work around breakage in python-gnome; check when set_logo calls
    break and disable them (instead of throwing an exception).

 -- Jeff Licquia <jlicquia@progeny.com>  Fri, 29 Mar 2002 12:22:32 -0500

configlet (1.6) unstable; urgency=low

  * Change the maintainer to Progeny.
  * Allow use of xsu instead of gnome-sudo to gain root access.
  * Handle imlib breakage, when it happens, a little better; don't
    try to load images if it breaks.
  * Re-jigger the way debconf changes are written to the database;
    debconf-communicate turns out to be a bit fragile.

 -- Jeff Licquia <jlicquia@progeny.com>  Sun, 24 Mar 2002 22:20:54 -0500

configlet (1.5) unstable; urgency=low

  * Make sure we register questions with debconf if the question name
    doesn't match the template name.
  * get_page_display_name -> get_page_display_title in
    configlet-capplet.
  * Switch icons for the control center toplevel.
  * When setting debconf values, close and re-open a new
    debconf-communicate session for each package.  This way, registered
    questions will have the correct owner.

 -- Jeff Licquia <jlicquia@progeny.com>  Wed, 13 Feb 2002 19:01:41 -0500

configlet (1.4) unstable; urgency=low

  * Make sure we catch validation function exceptions in the druid.
  * Move the GNOME Control Center section from "System" to "Debian", to 
    eliminate a conflict with ximian-setup-tools.

 -- Jeff Licquia <jlicquia@progeny.com>  Tue, 12 Feb 2002 11:28:33 -0500

configlet (1.3) unstable; urgency=low

  * Make sure that, when FLAGS is set for debconf information, values
    can still be unset.

 -- Jeff Licquia <jlicquia@progeny.com>  Wed, 30 Jan 2002 17:02:34 -0500

configlet (1.2) unstable; urgency=low

  * Be more robust about starting and working with configlets; an
    exception in a configlet shouldn't cause the whole API to freak.
  * Same for update-configlet-frontends.  Closes: #131234.
  * Add "watermark" config option for setting the druid watermark.
  * Added missing dep on debconf-utils.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon, 28 Jan 2002 15:02:10 -0500

configlet (1.1) unstable; urgency=low

  * Suppress debconf-communicate output unless DEBUG is set.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon, 21 Jan 2002 11:26:04 -0500

configlet (1.0) unstable; urgency=low

  * Too many changes to count are thanks to fellow Progeny co-workers:
    John Daily <jdaily@progeny.com>, Eric Gillespie <epg@progeny.com>,
    and Branden Robinson <branden@progeny.com>
  * New documentation: man pages and a more extensive book.
  * Correct Build-Depends.
  * Instead of class global variables for important information about
    the configlets, we have attributes, which are passed into
    register_configlet.
  * Debugging and logging functions added to the API.
  * Privileged runner infrastructure moved outside of classes.
  * Added configuration file to configlets-druid, so much of its
    behavior can be overriden at runtime.
  * Configlets-druid now adds "(mandatory)" to the title of configlets
    identified as mandatory.
  * Unless otherwise indicated, configlets-druid now loads the Raleigh
    GTK theme.
  * Add a way for debconf flags to be set by the configlets.
  * Highly GNOME-specific API calls now have "gnome" in their function
    names (on_close -> on_gnome_close, setup -> gnome_setup).
  * New configlets-druid arguments: --ask-only and --commit-only.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon, 14 Jan 2002 00:02:58 -0500

configlet (0.9.24) unstable; urgency=low

  * Major changes to the configlet API.
  * update-configlets now takes parameters: --install, --remove,
    --update, --install-all, --remove-all.  This allows new configlets
    to install themselves individually.

 -- Jeff Licquia <jlicquia@progeny.com>  Wed, 19 Dec 2001 13:36:12 -0500

configlet (0.9.23) unstable; urgency=low

  * Clean up the rules file and install everything with the correct
    permissions using install(1) instead of cp(1).  This fixes the bug
    where the scripts were being installed not
    executable. (epg@progeny.com)
  * Kill #! line in configlet.py module.  Fixes lintian
    warning. (epg@progeny.com)
  * Remove debhelper documentation files from debian
    dir. (epg@progeny.com)
  * Add python-happydoc to Build-Depends. (epg@progeny.com)
  * Add lib-saxon-java to Build-Depends. (epg@progeny.com)
    XXX: This is currently in contrib, but jdaily has filed a bug report
    asking that it be moved to main since it works fine with kaffe.  Until
    this is resolved we can't upload this.
  * New DocBook documentation. (jdaily@progeny.com)
  * Split the package into python-configlet (the API and test-configlets)
    and configlet-frontends (the druid and capplet).
  * Added "name" attribute to configlets (generated from the directory name
    where the configlet is installed), and changed frontends to use it as
    an index instead of the display name. (epg@progeny.com)
  * Don't try to configure the "shared" package. (epg@progeny.com)
  * Use proper tuples in % substitutions. (epg@progeny.com)
  * The DebConf constructor now takes a package list.
  * Add "setter" methods to Configlet class for setting attrubutes.
    (jdaily@progeny.com)
  * Changed debconf() to report_debconf() in Configlet.
    (jdaily@progeny.com)
  * Changed "display_name" to "display_title". (jdaily@progeny.com)
  * Standardized on "/usr/share/configlets" for the default configlet
    path.
  * Changed configlets-druid to put multi-page configlets in a tab on


=== debian/control ===
Source: configlet
Section: libs
Priority: optional
Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
Build-Depends-Indep: debhelper, python-happydoc, docbook-to-man, opensp, docbook-xml, openjade, lynx
Standards-Version: 3.5.6

Package: python-configlet
Architecture: all
Section: libs
Depends: python (>= 2.1), python (<< 2.2), python-gtk, python-gnome, python-glade, debconf (>= 1.0), debconf-utils, imagemagick, gnome-sudo | xsu
Conflicts: configlet (<= 0.9.22)
Description: Alternate debconf configuration interface - core API
 A "configlet" is a small Python/GNOME/Glade applet designed to load
 into a frontend application for the purpose of presenting an alternate
 interface to the standard debconf questions for one or more packages.
 .
 This package provides the basic API for writing configlets, as well
 as a simple tabbed dialog front end and test apparatus.

Package: configlet-frontends
Architecture: all
Section: admin
Depends: python, python-configlet
Conflicts: configlet (<= 0.9.22)
Provides: configlet
Replaces: configlet
Description: Alternate debconf configuration interface - frontends
 A "configlet" is a small Python/GNOME/Glade applet designed to load
 into a frontend application for the purpose of presenting an alternate
 interface to the standard debconf questions for one or more packages.
 .
 This package provides a GNOME Druid frontend for the configlets, as
 well as a capplet interface that plugs configlets into the GNOME 
 Control Center.

=== debian/rules ===
#!/usr/bin/make -f

# $Progeny: rules,v 1.26 2002/02/12 16:16:17 jlicquia Exp $

export DH_COMPAT=2

INSTALL=		/usr/bin/install
INSTALL_DATA=		${INSTALL} -m 644 -o root -g root
INSTALL_MODULE=		${INSTALL_DATA}
INSTALL_SCRIPT=		${INSTALL} -m 755 -o root -g root

build: build-stamp
build-stamp:
	dh_testdir

	cd documentation && make && cd book && make

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	cd documentation && make maintainer-clean
	cd documentation/book && make maintainer-clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	${INSTALL_MODULE} configlet.py \
		${CURDIR}/debian/python-configlet/usr/lib/python2.1/site-packages
	${INSTALL_SCRIPT} configlets-text \
		${CURDIR}/debian/python-configlet/usr/bin
	${INSTALL_SCRIPT} test-configlets \
		${CURDIR}/debian/python-configlet/usr/bin
	${INSTALL_SCRIPT} update-configlets \
		${CURDIR}/debian/python-configlet/usr/sbin
	${INSTALL_SCRIPT} configlets-druid \
		${CURDIR}/debian/configlet-frontends/usr/sbin
	${INSTALL_SCRIPT} configlet-capplet \
		${CURDIR}/debian/configlet-frontends/usr/bin
	${INSTALL_SCRIPT} update-configlet-frontends \
		${CURDIR}/debian/configlet-frontends/usr/share/configlet-frontends
#	${INSTALL_DATA} progeny-notrans-icon.png \
#		${CURDIR}/debian/configlet-frontends/usr/share/pixmaps

	${INSTALL_DATA} debian.directory \
		${CURDIR}/debian/configlet-frontends/usr/share/control-center/Debian/.directory
	${INSTALL_DATA} debian.directory \
		${CURDIR}/debian/configlet-frontends/usr/share/gnome/apps/Settings/Debian/.directory

	${INSTALL_DATA} documentation/configlet-capplet.1 \
		${CURDIR}/debian/configlet-frontends/usr/share/man/man1
	${INSTALL_DATA} documentation/update-configlets.1 \
		${CURDIR}/debian/python-configlet/usr/share/man/man1
	${INSTALL_DATA} documentation/configlets-druid.1 \
		${CURDIR}/debian/configlet-frontends/usr/share/man/man1
	${INSTALL_DATA} documentation/test-configlets.1 \
		${CURDIR}/debian/python-configlet/usr/share/man/man1
	${INSTALL_DATA} documentation/configlets-text.1 \
		${CURDIR}/debian/python-configlet/usr/share/man/man1

	${INSTALL_DATA} documentation/book/book.html \
		${CURDIR}/debian/python-configlet/usr/share/doc/python-configlet/book
	${INSTALL_DATA} documentation/book/api/*.html \
		${CURDIR}/debian/python-configlet/usr/share/doc/python-configlet/book/api


binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install
# Nothing to do here

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## configlet 2.4

=== debian/changelog ===
configlet (2.4) unstable; urgency=low

  * When writing configuration under firstboot, put up a status window.

 -- Jeff Licquia <licquia@progeny.com>  Mon, 23 Feb 2004 17:23:20 -0500

configlet (2.3) unstable; urgency=low

  * Added support for gksu.

 -- Jeff Licquia <licquia@progeny.com>  Thu, 15 Jan 2004 13:11:23 -0500

configlet (2.2) unstable; urgency=low

  * Change the Python version to 2.3.  Closes: #205885.
  * Put the business API in a Python-version-specific package, and
    make python-configlet a dummy.
  * Update the documentation to reflect the API versioning attribute.
  * Update the Standards-Version.

 -- Jeff Licquia <licquia@progeny.com>  Sun, 26 Oct 2003 21:25:44 -0500

configlet (2.1) unstable; urgency=low

  * Depend on the right versions of the Python API: python-gtk2,
    python-gnome2, and python-glade2.

 -- Jeff Licquia <licquia@progeny.com>  Thu, 21 Aug 2003 10:54:52 -0500

configlet (2.0) unstable; urgency=low

  * The configlet main infrastructure and frontends are now based on
    GTK/GNOME 2.
  * When loading a configlet's glade file, detect if it's old-style or
    new-style, and convert it if necessary.
  * New frontend: firstboot, which hooks into Red Hat's firstboot
    second-stage install framework.
  * New API versioning system.  Configlets written to older versions
    of the API will not load.

 -- Jeff Licquia <licquia@progeny.com>  Fri, 15 Aug 2003 14:21:34 -0500

configlet (1.12) unstable; urgency=low

  * Convert build system to Progeny buildtools.
  * debian/control: add back documentation-related build dependencies

 -- Branden Robinson <branden@progeny.com>  Thu, 30 Jan 2003 15:15:34 -0500

configlet (1.11) unstable; urgency=low

  * Various and sundry XML tools are no longer required to build this package;
    instead, the source package now ships with pre-generated documentation.
  * debian/control:
    - Add Uploaders field, and put Jeff and myself in it.
    - Strip Build-Depends-Indep down to just debhelper; we'll now be calling
      "make dist" to generate the documentation here at Progeny before
      generating the Debian source package.
    - Update python-configlet's python dependencies to the new Python 2.2
      reality. (Closes: #159177)
    - Drop "python" dependency from configlet-frontends; it already depends on
      python-configlet which will transitively haul in the appropriate python
      dependency.
    - Minor cleanups to the package descriptions.

 -- Branden Robinson <branden@progeny.com>  Mon, 16 Sep 2002 17:23:12 -0500

configlet (1.10) unstable; urgency=low

  * Pack the list of available configlets for the druid into a
    scrolled window, since we're getting so many now.
  * Fix a potential problem with checking for a load failure in
    the capplet interface.

 -- Jeff Licquia <jlicquia@progeny.com>  Wed,  5 Jun 2002 11:03:37 -0500

configlet (1.9) unstable; urgency=medium

  * If the root-getting program (gnome-sudo or xsu) fails to get
    root, we fail with an error.  Unfortunately, this itself threw
    an exception because we didn't load the capplet module, which
    would parse certain args for us.  Closes: #143178.
  * Add another try block for another configlet call.

 -- Jeff Licquia <jlicquia@progeny.com>  Thu, 25 Apr 2002 00:19:58 -0500

=== debian/control ===
Source: configlet
Section: libs
Priority: optional
Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
Uploaders: Jeff Licquia <licquia@progeny.com>, Branden Robinson <branden@progeny.com>
Build-Depends-Indep: debhelper (>= 3.0.0), autoconf, opensp, sgml-data, docbook-xml, xsltproc, ldp-docbook-xsl, links, docbook-to-man, python-happydoc, libxml2-utils
Standards-Version: 3.6.1

Package: python2.3-configlet
Architecture: all
Section: libs
Depends: python (>= 2.3), python (<< 2.4), python2.3-gtk2, python2.3-gnome2, python2.3-glade2, debconf (>= 1.0), debconf-utils, imagemagick, gksu | gnome-sudo
Conflicts: configlet (<= 0.9.22), python-configlet (<< 2.2)
Replaces: python-configlet (<< 2.2)
Description: alternative debconf configuration interface: core API
 A "configlet" is a small Python/GNOME/Glade applet designed to load
 into a frontend application for the purpose of presenting an alternate
 interface to the standard debconf questions for one or more packages.
 .
 This package provides the basic API for writing configlets, as well
 as a simple tabbed dialog front end and test apparatus.

Package: python-configlet
Architecture: all
Section: libs
Depends: python2.3-configlet
Description: alternative debconf configuration interface: core API
 A "configlet" is a small Python/GNOME/Glade applet designed to load
 into a frontend application for the purpose of presenting an alternate
 interface to the standard debconf questions for one or more packages.
 .
 This package acts as a dummy package, pulling in the proper version
 of the python-configlet package for the current version of Python.

Package: configlet-frontends
Architecture: all
Section: admin
Depends: python, python-configlet (>= 2.0)
Conflicts: configlet (<= 0.9.22), python-configlet (<< 2.0)
Provides: configlet
Replaces: configlet
Description: alternate debconf configuration interface: frontends
 A "configlet" is a small Python/GNOME/Glade applet designed to load
 into a frontend application for the purpose of presenting an alternate
 interface to the standard debconf questions for one or more packages.
 .
 This package provides a GNOME Druid frontend for the configlets, as
 well as a capplet interface that plugs configlets into the GNOME
 Control Center.

=== debian/rules ===
#!/usr/bin/make -f

# $Progeny$

export DH_COMPAT=2

INSTALL=		/usr/bin/install
INSTALL_DATA=		${INSTALL} -m 644 -o root -g root
INSTALL_MODULE=		${INSTALL_DATA}
INSTALL_SCRIPT=		${INSTALL} -m 755 -o root -g root

# Debian stores Python modules in versioned directories
PYTHON_VERSION=2.3

configure: configure-stamp
configure-stamp:
	dh_testdir
	buildtools/setup
	./configure --prefix=/usr --mandir=/usr/share/man
	sed s/@VER@/${PYTHON_VERSION}/ \
	  < debian/pythonVER-configlet.dirs \
	  > debian/python${PYTHON_VERSION}-configlet.dirs
	touch $@

build: configure build-stamp
build-stamp:
	dh_testdir
	make all
	touch $@

clean: configure
	dh_testdir
	dh_testroot
	make maintainer-clean
	dh_clean
	rm -f debian/python${PYTHON_VERSION}-configlet.dirs
	rm -f configure-stamp build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	${INSTALL_MODULE} configlet.py \
		${CURDIR}/debian/python${PYTHON_VERSION}-configlet/usr/lib/python${PYTHON_VERSION}/site-packages
	${INSTALL_SCRIPT} configlets-text \
		${CURDIR}/debian/python${PYTHON_VERSION}-configlet/usr/bin
	${INSTALL_SCRIPT} test-configlets \
		${CURDIR}/debian/python${PYTHON_VERSION}-configlet/usr/bin
	${INSTALL_SCRIPT} update-configlets \
		${CURDIR}/debian/python${PYTHON_VERSION}-configlet/usr/sbin
	${INSTALL_SCRIPT} configlets-druid \
		${CURDIR}/debian/configlet-frontends/usr/sbin
	${INSTALL_SCRIPT} configlet-capplet \
		${CURDIR}/debian/configlet-frontends/usr/bin
	${INSTALL_SCRIPT} update-configlet-frontends \
		${CURDIR}/debian/configlet-frontends/usr/share/configlet-frontends
	${INSTALL_SCRIPT} update-firstboot \
		${CURDIR}/debian/configlet-frontends/usr/share/configlet-frontends
	${INSTALL_MODULE} firstboot.py \
		${CURDIR}/debian/configlet-frontends/usr/share/configlet-frontends
	${INSTALL_MODULE} fbhelper.py \
		${CURDIR}/debian/configlet-frontends/usr/share/configlet-frontends
#	${INSTALL_DATA} progeny-notrans-icon.png \
#		${CURDIR}/debian/configlet-frontends/usr/share/pixmaps

	${INSTALL_DATA} debian.directory \
		${CURDIR}/debian/configlet-frontends/usr/share/control-center/Debian/.directory
	${INSTALL_DATA} debian.directory \
		${CURDIR}/debian/configlet-frontends/usr/share/gnome/apps/Settings/Debian/.directory

	${INSTALL_DATA} documentation/configlet-capplet.1 \
		${CURDIR}/debian/configlet-frontends/usr/share/man/man1
	${INSTALL_DATA} documentation/update-configlets.1 \
		${CURDIR}/debian/python${PYTHON_VERSION}-configlet/usr/share/man/man1
	${INSTALL_DATA} documentation/configlets-druid.1 \
		${CURDIR}/debian/configlet-frontends/usr/share/man/man1
	${INSTALL_DATA} documentation/test-configlets.1 \
		${CURDIR}/debian/python${PYTHON_VERSION}-configlet/usr/share/man/man1
	${INSTALL_DATA} documentation/configlets-text.1 \
		${CURDIR}/debian/python${PYTHON_VERSION}-configlet/usr/share/man/man1

	${INSTALL_DATA} documentation/book/book.html \
		${CURDIR}/debian/python${PYTHON_VERSION}-configlet/usr/share/doc/python${PYTHON_VERSION}-configlet/book
	${INSTALL_DATA} documentation/book/api/*.html \
		${CURDIR}/debian/python${PYTHON_VERSION}-configlet/usr/share/doc/python${PYTHON_VERSION}-configlet/book/api

binary-indep: build install
	dh_testdir
	dh_testroot
	install -m 755 -d debian/configlet-frontends/usr/share/lintian/overrides
	install -m 644 debian/configlet-frontends.lintian-overrides debian/configlet-frontends/usr/share/lintian/overrides/configlet-frontends
	dh_installdocs
	dh_installman
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install
	# nothing to do for binary-arch

binary: binary-indep binary-arch
.PHONY: configure build clean binary-indep binary-arch binary install

## configlet 2.4ubuntu1

=== debian/changelog ===
configlet (2.4ubuntu1) hoary; urgency=low

  * NMU
  * Rebuild for python2.4

 -- Charles Majola <charles@ubuntu.com>  Wed,  2 Mar 2005 10:44:59 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends-Indep: debhelper (>= 3.0.0), autoconf, opensp, sgml-data, docbook-xml, xsltproc, ldp-docbook-xsl, links, docbook-to-man, python-happydoc, libxml2-utils
 Standards-Version: 3.6.1
 
-Package: python2.3-configlet
+Package: python2.4-configlet
 Architecture: all
 Section: libs
-Depends: python (>= 2.3), python (<< 2.4), python2.3-gtk2, python2.3-gnome2, python2.3-glade2, debconf (>= 1.0), debconf-utils, imagemagick, gksu | gnome-sudo
-Conflicts: configlet (<= 0.9.22), python-configlet (<< 2.2)
-Replaces: python-configlet (<< 2.2)
+Depends: python (>= 2.4), python (<< 2.5), python2.4-gtk2, python2.4-gnome2, python2.4-glade2, debconf (>= 1.0), debconf-utils, imagemagick, gksu | gnome-sudo
+Conflicts: configlet (<= 0.9.22), python-configlet (<< 2.3)
+Replaces: python-configlet (<< 2.3)
 Description: alternative debconf configuration interface: core API
  A "configlet" is a small Python/GNOME/Glade applet designed to load
  into a frontend application for the purpose of presenting an alternate
@@ -23,7 +23,7 @@
 Package: python-configlet
 Architecture: all
 Section: libs
-Depends: python2.3-configlet
+Depends: python2.4-configlet
 Description: alternative debconf configuration interface: core API
  A "configlet" is a small Python/GNOME/Glade applet designed to load
  into a frontend application for the purpose of presenting an alternate

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 INSTALL_SCRIPT=		${INSTALL} -m 755 -o root -g root
 
 # Debian stores Python modules in versioned directories
-PYTHON_VERSION=2.3
+PYTHON_VERSION=2.4
 
 configure: configure-stamp
 configure-stamp:
